org.eclipse.mat.ui.internal.acquire

## Class AcquireSnapshotAction.AcquireWizard

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.eclipse.mat.ui.internal.acquire.AcquireSnapshotAction.AcquireWizard

All Implemented Interfaces:
  IShellProvider, IWizard, IWorkbenchWizard

Enclosing class:
  AcquireSnapshotAction

    public static class AcquireSnapshotAction.AcquireWizard
    extends Wizard
    implements IWorkbenchWizard

### Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

### Constructor Summary

Constructors
Constructor and Description
`AcquireWizard()`
`AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`boolean` `canFinish()`
`IWizardPage` `getStartingPage()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`boolean` `performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

### Constructor Detail

#### AcquireWizard

    public AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)

#### AcquireWizard

    public AcquireWizard()

### Method Detail

#### addPages

    public void addPages()

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

#### performFinish

    public boolean performFinish()

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`

#### canFinish

    public boolean canFinish()

Specified by:
  `canFinish` in interface `IWizard`
Overrides:
  `canFinish` in class `Wizard`

#### getStartingPage

    public IWizardPage getStartingPage()

Specified by:
  `getStartingPage` in interface `IWizard`
Overrides:
  `getStartingPage` in class `Wizard`

#### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

Specified by:
  `init` in interface `IWorkbenchWizard`